"""This module contains the processing functions."""

from spacy_cleaner.processing import evaluators, helpers, transformers
from spacy_cleaner.processing.mutators import mutate_lemma_token
from spacy_cleaner.processing.removers import (
    remove_email_token,
    remove_punctuation_token,
    remove_stopword_token,
)
from spacy_cleaner.processing.replacers import (
    replace_email_token,
    replace_punctuation_token,
    replace_stopword_token,
)

__all__ = [
    "mutate_lemma_token",
    "remove_stopword_token",
    "remove_punctuation_token",
    "remove_email_token",
    "replace_stopword_token",
    "replace_punctuation_token",
    "replace_email_token",
    "helpers",
    "evaluators",
    "transformers",
]
